/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_H)
#define _VIEW_H

#include <Eina.h>

typedef void (*get_image_paths_cb)(Eina_List **list);

Eina_Bool view_create(void *user_data);
void view_set_callback(get_image_paths_cb get_paths_func);
Evas_Object *view_create_win(const char *pkg_name);
Evas_Object *view_create_conformant(Evas_Object *parent);
Evas_Object *view_create_layout(Evas_Object *parent, const char *edj_file_name, const char *edj_group);
void view_destroy(void);
Evas_Object *view_create_set_layout(Evas_Object *parent, const char *edj_file_name, const char *edj_group, const char *target_part_name);
Evas_Object *view_create_gengrid(Evas_Object *parent, const char *target_part_name);
Evas_Object *view_create_image(Evas_Object *parent, char *file_path, const char *part_name);
Elm_Gengrid_Item_Class *view_create_gengrid_item_class(Elm_Gengrid_Item_Content_Get_Cb on_content_get_cb, Elm_Gengrid_Item_Del_Cb on_item_del_cb);

#endif
